# -*- mode: ruby -*-
# vi: set ft=ruby :

NETWORK = 'forwarded_port'
GUEST_PORT = 3000
HOST_PORT = 3000

Vagrant.configure(2) do |config|
  config.vm.box = "ubuntu/focal64"
  config.vm.network NETWORK, guest: GUEST_PORT, host: HOST_PORT
  config.vm.provider "virtualbox" do |vb|
    vb.memory = 1024
    vb.customize ["setextradata", :id, "VBoxInternal2/SharedFoldersEnableSymlinksCreate/vagrant", "1"]
  end
  config.vm.provision 'shell', privileged: false, inline: <<-SHELL
	curl -fsSL https://deb.nodesource.com/setup_14.x | sudo -E bash -
	sudo apt-get install -y nodejs
	sudo npm install -g npm@7.8.0
	cd /vagrant
	npm init -y fastify
	npm install
	FASTIFY_ADDRESS=0.0.0.0 npm run dev
  SHELL
end
